Subject: bug#65116: 29.1; query-replace-read-args fails reading second arg in detached minibuf

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jan 2024 14:00:29 +0200

> Date: Fri, 12 Jan 2024 00:26:10 -0600
> From: Jim Rees <[email-masked]>
> Cc: [email-masked]
> 
> The problem is in 29.1. I think report-emacs-bug just appends the info for
> whatever version of emacs you are running at the time you report a bug.

So Emacs 28 behaves correctly on your system in this scenario?

> I have tried two different window managers, twm and openbox, and get the bug
> in both of them. However, it only happens if I am running with focus follows
> mouse. It does not happen if I have set click to focus. The settings of
> focus-follows-mouse and minibuffer-follows-selected-frame make no
> difference.

Alan and Juri, could you please look into this issue?